Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans
Interface XmlGDay

All Superinterfaces:
  XmlAnySimpleType, XmlObject, XmlTokenSource

public interface XmlGDay
extends XmlAnySimpleType

Corresponds to the XML Schema xs:gDay type. A gDay specifies only a day-of-month.

Convertible to `Calendar`, `GDate`, or an int.

See Also:
  `XmlCalendar`, `GDate`

Nested Class Summary
`static class` | `XmlGDay.Factory` A class with methods for creating instances of `XmlGDay`.

Field Summary
`static SchemaType` | `type` The constant `SchemaType` object representing this schema type.

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`Calendar` | `calendarValue()` Deprecated. replaced with `getCalendarValue()`
`GDate` | `gDateValue()` Deprecated. replaced with `getGDateValue()`
`Calendar` | `getCalendarValue()` Returns this value as a `Calendar`
`GDate` | `getGDateValue()` Returns this value as a `GDate`
`int` | `getIntValue()` Returns this value as an int from 1-31
`int` | `intValue()` Deprecated. replaced with `getIntValue()`
`void` | `set(Calendar c)` Deprecated. replaced with `setCalendarValue(java.util.Calendar)`
`void` | `set(GDateSpecification gd)` Deprecated. replaced with `setGDateValue(org.apache.xmlbeans.GDate)`
`void` | `set(int v)` Deprecated. replaced with `setIntValue(int)`
`void` | `setCalendarValue(Calendar c)` Sets this value as a `Calendar`
`void` | `setGDateValue(GDate gd)` Sets this value as a `GDateSpecification`
`void` | `setIntValue(int v)` Sets this value as an int from 1-31

Methods inherited from interface org.apache.xmlbeans.XmlAnySimpleType
`getStringValue, set, setStringValue, stringValue`

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    public static final SchemaType type

  The constant `SchemaType` object representing this schema type.

Method Detail

### getCalendarValue

    public Calendar getCalendarValue()

  Returns this value as a `Calendar`

### setCalendarValue

    public void setCalendarValue(Calendar c)

  Sets this value as a `Calendar`

### getGDateValue

    public GDate getGDateValue()

  Returns this value as a `GDate`

### setGDateValue

    public void setGDateValue(GDate gd)

  Sets this value as a `GDateSpecification`

### getIntValue

    public int getIntValue()

  Returns this value as an int from 1-31

### setIntValue

    public void setIntValue(int v)

  Sets this value as an int from 1-31

### calendarValue

    public Calendar calendarValue()

  Deprecated. replaced with `getCalendarValue()`

  Returns this value as a `Calendar`

### set

    public void set(Calendar c)

  Deprecated. replaced with `setCalendarValue(java.util.Calendar)`

  Sets this value as a `Calendar`

### gDateValue

    public GDate gDateValue()

  Deprecated. replaced with `getGDateValue()`

  Returns this value as a `GDate`

### set

    public void set(GDateSpecification gd)

  Deprecated. replaced with `setGDateValue(org.apache.xmlbeans.GDate)`

  Sets this value as a `GDateSpecification`

### intValue

    public int intValue()

  Deprecated. replaced with `getIntValue()`

  Returns this value as an int from 1-31

### set

    public void set(int v)

  Deprecated. replaced with `setIntValue(int)`

  Sets this value as an int from 1-31

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD